# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from unittest import mock

from celery.result import AsyncResult
import pytest


@pytest.fixture
def async_result(null_uuid) -> mock.Mock:
    result = mock.Mock(spec=AsyncResult)
    result.id = str(null_uuid)

    return result
